
package de.ivu.elect.presentation.statistik;

import javax.annotation.Nullable;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;

import de.ivu.elect.business.statistik.boundary.StatistikKennzeichenSearchParameters;
import de.ivu.elect.jee.faces.AbstractEntityConverter;

public class StatistikKennzeichenSearchViewWahlConverter extends AbstractEntityConverter {

  public static final String ALLE_WAHLEN = "ALLE_WAHLEN";

  public StatistikKennzeichenSearchViewWahlConverter() {
    super();
  }

  @Nullable
  @Override
  public Object getAsObject(FacesContext facesContext, UIComponent component, String value) {
    if (ALLE_WAHLEN.equals(value)) {
      return StatistikKennzeichenSearchParameters.ALLE_WAHLEN;
    }

    return super.getAsObject(facesContext, component, value);
  }

  @Nullable
  @Override
  public String getAsString(FacesContext facesContext, UIComponent component, Object value) {
    if (StatistikKennzeichenSearchParameters.ALLE_WAHLEN.equals(value)) {
      return ALLE_WAHLEN;
    }

    return super.getAsString(facesContext, component, value);
  }
}
